Description

Sometimes when I click on the "Info CRS" button in the "New CRS" window, a NullPointerException occurs. It happens only for some
CRSs (e.g. 23030). It seems to be due to the +towgs84 parameters.

History
#1 - 02/15/2016 12:30 PM - Antonio Falciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

More in detail, this issue happens only with projected CRSs. How to reproduce it:
    -  create a new View and open its properties;
    -  click on [...] button (current projection) in the General tab;
    -  choose EPSG type in the "New CRS" window;
    -  search by Area and type "Italy".
Results:
    1. selecting a geographic CRS (except EPSG:6706) and clicking on the "Info CRS" button, it works fine;
    2. selecting a projected CRS (except EPSG:670_ and EPSG:687_) and clicking on the "Info CRS" button, a NullPointerException occurs;
    3. finally, selecting one of the EPSG:670_ and EPSG:687_ CRSs and clicking on the "Info CRS" button, a java.lang.RuntimeException: OGR Error:
Unsupported SRS occurs (but this is another issue).
Conclusions:
    1. the geographic CRSs are fully supported and "Info CRS" shows its proj4 string with the +towgs84 parameters used by GDAL;
    2. the projected CRSs are not associated to their relative geographic ones, so the proj4 string is not available because the +towgs84 parameters are
missing;
    3. the EPSG:670_ and EPSG:687_ CRSs are not actually supported in GDAL 1.11.3, because - if I'm not wrong - GDAL 1.11.x uses the EPSG
Registry v. 8.2, while these CRSs were introduced in v. 8.5 (GDAL 2.0.x).

#2 - 02/15/2016 01:09 PM - Álvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

#3 - 02/22/2016 09:56 AM - Antonio Falciano

The point 3. above (another issue) is described in #4109 in order to be considered separately.

#4 - 03/14/2016 12:02 PM - Antonio Falciano
- Target version set to 2.3.0-2429 (rev. org.gvsig.desktop-2.0.135,  NOT USABLE)
- Status changed from New to Closed

The issue is disappeared/fixed in build 2426, so I close the ticket.
